felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefano Lenzi <kis...@interfree.it>
Subject Re: Felix only for JVM 1.4 or above
Date Sat, 22 Sep 2007 00:29:25 GMT
Damien Lecan wrote:
>> Additionally, we should start using the foundation execution environment
>>> JAR from OSGi Alliance to make sure we don't use improper methods. Is
>>> this something else we can set up in our pom?
>> not sure, will look into this...
> 
> You have to override compiler bootclasspath to use foundation ee jar
> and add this jar as plugin dependency.

I'm really interested in that point, but the biggest problem to fix in 
order to implement such solution is:
how-to allow everyone to have the needed bootclasspath artifact for 
compiling the source.

> 
> In this page http://docs.codehaus.org/display/MAVENUSER/Compile+and+Test+with+Different+JDK+Versions
> you can see a use of this.

We should look also this:
  - http://jira.codehaus.org/browse/MCOMPILER-58
  - http://jira.codehaus.org/browse/MCOMPILER-6
  - http://jira.codehaus.org/browse/MCOMPILER-20


> 
> Damien
> 
> 


Mime
View raw message